Skip to main content
POST
/
v2
/
cards
/
bulk
Bulk create cards
curl --request POST \
  --url https://thirdparty.qonto.com/v2/cards/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cards": [
    {}
  ]
}
'
{ "cards": [ { "card": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "nickname": "💳 for 🍗", "embossed_name": "DOLORES KOULECHOV", "status": "pending", "pin_set": true, "mask_pan": "511768******7662", "exp_month": "3", "exp_year": "2024", "last_activity_at": "2023-11-07T05:31:56Z", "last_digits": "7662", "ship_to_business": false, "atm_option": true, "nfc_option": true, "online_option": true, "foreign_option": true, "atm_monthly_limit": 1000, "atm_monthly_spent": 1000, "atm_daily_limit": 1000, "atm_daily_spent": 0, "atm_daily_limit_option": true, "payment_monthly_limit": 1000, "payment_monthly_spent": 1000, "payment_daily_limit": 1000, "payment_daily_spent": 1000, "payment_daily_limit_option": true, "payment_transaction_limit": 1000, "payment_transaction_limit_option": true, "active_days": [ 1, 3, 5 ], "holder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "updated_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "shipped_at": null, "card_type": "debit", "card_level": "standard", "payment_lifespan_limit": 100, "payment_lifespan_spent": 42, "pre_expires_at": "2023-11-07T05:31:56Z", "categories": [ "transport", "restaurant_and_bar", "food_and_grocery" ], "renewed": false, "renewal": false, "parent_card_summary": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "last_digits": "7662" }, "had_operation": false, "had_pin_operation": false, "card_design": "standard.recycled.plastic.2023", "type_of_print": "embossed", "upsold": false, "upsell": false, "discard_on": "2022-11-31", "reordered": false, "has_only_user_liftable_locks": true } } ] }

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Body

application/json
cards
(CreatePhysicalCard · object | CreateVirtualCard · object | CreateFlashCard · object | CreateAdvertisingCard · object)[]
required
Required array length: 1 - 50 elements

Response

Returns the card creation result, in the same order as provided in the request.

cards
(object | Errors · object)[]

A representation of a card, wrapped in a card property